Subject: Re: bug#18860: 24.4; packages don't download consistently from https

From: Ted Zlatanov <[email-masked]>
Date: Tue, 04 Nov 2014 16:20:11 -0500

On Tue, 28 Oct 2014 09:42:44 -0400 Stefan Monnier <[email-masked]> wrote: 

>>> This said, I haven't managed to reproduce the problem since, so
>>> I haven't been able to dig any further.  And in any case I'm not
>>> familiar enough with the HTTP protocol to be of much use there.
>> I don't think this has anything to do with the HTTP protocol.  We just
>> need to find the place and condition where a non-TLS connection is
>> opened to the https port.

SM> Right.  Maybe M-x trace-function RET open-network-stream RET
SM> will give better hints.

I ran the test with "emacs -q" and only saw connections to
"marmalade-repo.org:443". I'd love to find a way to replicate.

Thanks
Ted